<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% content_controller 'admin--custom-fields',
                      dynamic: true,
                      'admin--custom-fields-format-value': @custom_field.field_format
%>

<% local_assigns[:additional_breadcrumb] = @custom_field.name %>

<%= render(Settings::ProjectCustomFields::EditFormHeaderComponent.new(custom_field: @custom_field)) %>

<%= error_messages_for 'custom_field' %>

<%= labelled_tabular_form_for @custom_field, as: :custom_field,
                              url: admin_settings_project_custom_field_path(@custom_field),
                              html: {method: :put, id: 'custom_field_form'} do |f| %>
  <%= render partial: 'custom_fields/form', locals: { f: f, custom_field: @custom_field } %>
  <% if @custom_field.new_record? %>
    <%= hidden_field_tag 'type', @custom_field.type %>
  <% end %>
  <%= styled_button_tag t(:button_save), class: '-highlight -with-icon icon-checkmark' %>
<% end %>



